# eric4.Utilities.ClassBrowsers.idlclbr

Parse a CORBA IDL file and retrieve modules, interfaces, methods and attributes.

Parse enough of a CORBA IDL file to recognize module, interface and method definitions and to find out the superclasses of an interface as well as its attributes.

It is based on the Python class browser found in this package.

### Global Attributes

SUPPORTED_TYPES
_commentsub
_getnext
_modules
_normalize

### Classes

Attribute | Class to represent a CORBA IDL attribute.
Function | Class to represent a CORBA IDL function.
Interface | Class to represent a CORBA IDL interface.
Module | Class to represent a CORBA IDL module.
VisibilityMixin | Mixin class implementing the notion of visibility.

### Functions

readmodule_ex | Read a CORBA IDL file and return a dictionary of classes, functions and modules.

## Attribute

Class to represent a CORBA IDL attribute.

### Derived from

ClbrBaseClasses.Attribute, VisibilityMixin

### Class Attributes

None

### Class Methods

None

### Methods

Attribute | Constructor

### Static Methods

None

#### Attribute (Constructor)

Attribute(module, name, file, lineno)

Constructor

module
  name of the module containing this class
name
  name of this class
file
  filename containing this attribute
lineno
  linenumber of the class definition

Up

## Function

Class to represent a CORBA IDL function.

### Derived from

ClbrBaseClasses.Function, VisibilityMixin

### Class Attributes

None

### Class Methods

None

### Methods

Function | Constructor

### Static Methods

None

#### Function (Constructor)

Function(module, name, file, lineno, signature = '', separator = ', ')

Constructor

module
  name of the module containing this function
name
  name of this function
file
  filename containing this class
lineno
  linenumber of the class definition
signature
  parameterlist of the method
separator
  string separating the parameters

Up

## Interface

Class to represent a CORBA IDL interface.

### Derived from

ClbrBaseClasses.Class, VisibilityMixin

### Class Attributes

None

### Class Methods

None

### Methods

Interface | Constructor

### Static Methods

None

#### Interface (Constructor)

Interface(module, name, super, file, lineno)

Constructor

module
  name of the module containing this class
name
  name of this interface
super
  list of interface names this interface is inherited from
file
  filename containing this interface
lineno
  linenumber of the interface definition

Up

## Module

Class to represent a CORBA IDL module.

### Derived from

ClbrBaseClasses.Module, VisibilityMixin

### Class Attributes

None

### Class Methods

None

### Methods

Module | Constructor

### Static Methods

None

#### Module (Constructor)

Module(module, name, file, lineno)

Constructor

module
  name of the module containing this class
name
  name of this class
file
  filename containing this class
lineno
  linenumber of the class definition

Up

## VisibilityMixin

Mixin class implementing the notion of visibility.

### Derived from

ClbrBaseClasses.ClbrVisibilityMixinBase

### Class Attributes

None

### Class Methods

None

### Methods

VisibilityMixin | Method to initialize the visibility.

### Static Methods

None

#### VisibilityMixin (Constructor)

VisibilityMixin()

Method to initialize the visibility.

Up

## readmodule_ex

readmodule_ex(module, path=[])

Read a CORBA IDL file and return a dictionary of classes, functions and modules.

module
  name of the CORBA IDL file (string)
path
  path the file should be searched in (list of strings)

Returns:
  the resulting dictionary

Up